Package org.apache.lucene.analysis.core

## Class WhitespaceTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenizerFactory
    - - org.apache.lucene.analysis.core.WhitespaceTokenizerFactory

-     public class WhitespaceTokenizerFactory
      extends TokenizerFactory

  Factory for `WhitespaceTokenizer`.

       <fieldType name="text_ws" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory" rule="unicode"  maxTokenLen="256"/>
         </analyzer>
       </fieldType>

  Options:
  - rule: either "java" for `WhitespaceTokenizer` or "unicode" for `UnicodeWhitespaceTokenizer`
  - maxTokenLen: max token length, should be greater than 0 and less than MAX_TOKEN_LENGTH_LIMIT (1024*1024). It is rare to need to change this else `CharTokenizer`::DEFAULT_MAX_TOKEN_LEN
  Since:
    3.1
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "whitespace"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` | SPI name
    `static String` | `RULE_JAVA` |
    `static String` | `RULE_UNICODE` |

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WhitespaceTokenizerFactory()` | Default ctor for compatibility with SPI
    `WhitespaceTokenizerFactory​(Map<String,​String> args)` | Creates a new WhitespaceTokenizerFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Tokenizer` | `create​(AttributeFactory factory)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenizerFactory

      `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### RULE_JAVA

          public static final String RULE_JAVA

      See Also:
        Constant Field Values

    - #### RULE_UNICODE

          public static final String RULE_UNICODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WhitespaceTokenizerFactory

          public WhitespaceTokenizerFactory​(Map<String,​String> args)

      Creates a new WhitespaceTokenizerFactory

    - #### WhitespaceTokenizerFactory

          public WhitespaceTokenizerFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### create

          public Tokenizer create​(AttributeFactory factory)

      Specified by:
        `create` in class `TokenizerFactory`